com.verisign.epp.codec.rgppoll

## Class EPPRgpPollResponse

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.rgppoll.EPPRgpPollResponse

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPRgpPollResponse
      extends EPPResponse

  A concrete EPPResponse that knows how to encode/decode RGP Poll responses from/to XML and object instance.

  Title: EPP 1.0 RGP

  Description: RGP Poll Mapping for the EPP SDK

  Copyright: Copyright (c) 2004

  Company: VeriSign

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_DOMAIN_NAME` The domain name XML tag name
    `static java.lang.String` | `ELM_DUE_DATE` The report Due Date XML tag name
    `static java.lang.String` | `ELM_NAME` The poll data XML tag name
    `static java.lang.String` | `ELM_REQ_DATE` The request Date XML tag name

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRgpPollResponse()` Create a new instance of EPPRgpPollResponse

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRgpPollResponse`.
    `void` | `doDecode(org.w3c.dom.Element aElement)` Populates the data of this instance from the given XML Element which is part of a DOM Document
    `org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Put all data contained in this poll resonse into the given XML document
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRgpPollResponse` compare.
    `java.lang.String` | `getName()`
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPResponse`.
    `java.util.Date` | `getReportDueDate()`
    `java.util.Date` | `getReqDate()`
    `EPPRgpPollStatus` | `getStatus()`
    `void` | `setName(java.lang.String name)`
    `void` | `setReportDueDate(java.util.Date reportDueDate)`
    `void` | `setReqDate(java.util.Date reqDate)`
    `void` | `setStatus(EPPRgpPollStatus aStatus)`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, getType, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      The poll data XML tag name
      See Also:
        Constant Field Values

    - #### ELM_DOMAIN_NAME

          public static final java.lang.String ELM_DOMAIN_NAME

      The domain name XML tag name
      See Also:
        Constant Field Values

    - #### ELM_REQ_DATE

          public static final java.lang.String ELM_REQ_DATE

      The request Date XML tag name
      See Also:
        Constant Field Values

    - #### ELM_DUE_DATE

          public static final java.lang.String ELM_DUE_DATE

      The report Due Date XML tag name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRgpPollResponse

          public EPPRgpPollResponse()

      Create a new instance of EPPRgpPollResponse

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPResponse`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        XML namespace for the `EPPResponse`.

    - #### doEncode

          public org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                       throws EPPEncodeException

      Put all data contained in this poll resonse into the given XML document
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - the DOM Document to attach data to.
      Returns:
        the element that is a parent of the poll data
      Throws:
        `EPPEncodeException` - Thrown if any errors occur during the encode process

    - #### doDecode

          public void doDecode(org.w3c.dom.Element aElement)
                        throws EPPDecodeException

      Populates the data of this instance from the given XML Element which is part of a DOM Document
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - the element that is a parent of the poll data
      Throws:
        `EPPDecodeException` - thrown if any errors occur during the decode operation

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRgpPollResponse` compare.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - `EPPRgpPollResponse` instance to compare with
      Returns:
        true if equal false otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRgpPollResponse`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPRgpPollResponse`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getStatus

          public EPPRgpPollStatus getStatus()

    - #### setStatus

          public void setStatus(EPPRgpPollStatus aStatus)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getReqDate

          public java.util.Date getReqDate()

    - #### setReqDate

          public void setReqDate(java.util.Date reqDate)

    - #### getReportDueDate

          public java.util.Date getReportDueDate()

    - #### setReportDueDate

          public void setReportDueDate(java.util.Date reportDueDate)